> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Personal Access Tokens > Permission required: `create-personal-access-tokens` ### Changelog | Version | Description | | ---------------- | ------------| |0.69.0 | Added | ## OpenAPI ````json GET /api/v1/users.getPersonalAccessTokens { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "User Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "LDAP" }, { "name": "Permissions" }, { "name": "Roles" }, { "name": "Users" }, { "name": "SAML" } ], "paths": { "/api/v1/users.getPersonalAccessTokens": { "parameters": [], "get": { "summary": "Get Personal Access Tokens", "operationId": "get-api-v1-users.getPersonalAccessTokens", "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "tokens": { "type": "array", "items": { "type": "object", "properties": { "name": { "type": "string" }, "createdAt": { "type": "string" }, "lastTokenPart": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "tokens": [ { "name": "myToken", "createdAt": "2018-08-01T17:17:48.068Z", "lastTokenPart": "R8Agh3" } ], "success": "true" } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "Not Authorized [not-authorized]", "errorType": "not-authorized" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "tags": [ "Users" ], "description": "Permission required: `create-personal-access-tokens`\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|0.69.0 | Added |", "parameters": [ { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Auth-Token" } ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } }, "parameters": { "UserId": { "name": "X-User-Id", "in": "header", "description": "The authenticated user ID.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authenticated user token.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" } } } } ````